<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/expansionbookmenutabsidebookmarkleft.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/dbb/a00698_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabsidebookmarkleft.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/dbb/a00698.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabBookmark.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d0a/a04230.html">ExpansionBookMenuTabSideBookmarkLeft</a>: <a class="code hl_class" href="../../d4/d56/a05206.html">ExpansionScriptView</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a9406a1f403d4506f869094cc9ad64db7">   15</a></span>    ButtonWidget <a class="code hl_variable" href="../../d7/d0a/a04230.html#a9406a1f403d4506f869094cc9ad64db7">bookmark_button</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">   16</a></span>    ImageWidget <a class="code hl_variable" href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">bookmark_icon</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#aee2bca539749c1570f20839c85a977e5">   18</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#aee2bca539749c1570f20839c85a977e5">m_Name</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a8436caca52dcfe8458b9579b52204fff">   19</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#a8436caca52dcfe8458b9579b52204fff">m_URL</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a9387837e012759f453578f721875a7c0">   20</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#a9387837e012759f453578f721875a7c0">m_IconName</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#afc7883bc01fd09c6ded11c7cf3b79fbe">   21</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#afc7883bc01fd09c6ded11c7cf3b79fbe">m_IconColor</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">   23</a></span>    ref <a class="code hl_class" href="../../d9/d10/a04234.html">ExpansionBookMenuTabSideBookmarkLeftController</a> <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#aaf213c8ce3468954dd453d72192adbbd">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#aaf213c8ce3468954dd453d72192adbbd">ExpansionBookMenuTabSideBookmarkLeft</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, <span class="keywordtype">string</span> url, <span class="keywordtype">string</span> iconName, <span class="keywordtype">int</span> iconColor)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a> = <a class="code hl_class" href="../../d9/d10/a04234.html">ExpansionBookMenuTabSideBookmarkLeftController</a>.Cast(GetController());</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#aee2bca539749c1570f20839c85a977e5">m_Name</a> = <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a8436caca52dcfe8458b9579b52204fff">m_URL</a> = url;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a9387837e012759f453578f721875a7c0">m_IconName</a> = iconName;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#afc7883bc01fd09c6ded11c7cf3b79fbe">m_IconColor</a> = iconColor;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_function" href="../../d7/d0a/a04230.html#ada50a494e7e1b8bb89bcd68514b21fe0">SetIcon</a>(iconName, iconColor);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d7/d0a/a04230.html#a2d3361bb3b1c7d001dde62ec11fe5139">SetBackground</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a26ee47df029772a6149890cd2bda716f">   39</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#a26ee47df029772a6149890cd2bda716f">GetLayoutFile</a>() </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/expansion_book_tab_bookmark_side_left.layout&quot;</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a5b7bf706264d9f462dab7882715fed79">   44</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#a5b7bf706264d9f462dab7882715fed79">GetControllerType</a>() </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d9/d10/a04234.html">ExpansionBookMenuTabSideBookmarkLeftController</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#ada50a494e7e1b8bb89bcd68514b21fe0">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#ada50a494e7e1b8bb89bcd68514b21fe0">SetIcon</a>(<span class="keywordtype">string</span> icon_name, <span class="keywordtype">int</span> color)</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>.<a class="code hl_variable" href="../../d9/d10/a04234.html#ae030b5f82c035b762099446f4157f8e0">BookmarkIcon</a> = <a class="code hl_class" href="../../d6/db7/a04354.html">ExpansionIcons</a>.<a class="code hl_function" href="../../d6/db7/a04354.html#ab674a6daaeff7fbe0a88cd5f56f2ecf0">GetPath</a>(icon_name);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;BookmarkIcon&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">bookmark_icon</a>.SetColor(color);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a2d3361bb3b1c7d001dde62ec11fe5139">   57</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#a2d3361bb3b1c7d001dde62ec11fe5139">SetBackground</a>()</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>.<a class="code hl_variable" href="../../d9/d10/a04234.html#acadd861263af09d77683c88709b4e9d5">Background</a> = <a class="code hl_function" href="../../d7/d0a/a04230.html#a533acf402e90097f52e503ce828acf44">GetRandomElementBackground</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_variable" href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">m_BookmarkController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;Background&quot;</span>);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a533acf402e90097f52e503ce828acf44">   63</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#a533acf402e90097f52e503ce828acf44">GetRandomElementBackground</a>()</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        TStringArray backgrounds = <span class="keyword">new</span> TStringArray;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:bookmark_element_1&quot;</span>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:bookmark_element_2&quot;</span>);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        backgrounds.Insert(<span class="stringliteral">&quot;set:book_assets image:bookmark_element_3&quot;</span>);</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> backgrounds.GetRandomElement();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#aa4fef14515d869a23dce39796be98d50">   74</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#aa4fef14515d869a23dce39796be98d50">OnBookmarkButtonClick</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        GetGame().OpenURL(<a class="code hl_variable" href="../../d7/d0a/a04230.html#a8436caca52dcfe8458b9579b52204fff">m_URL</a>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#ae0e17a808d36d8e279fd496d0c4f9ec1">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#ae0e17a808d36d8e279fd496d0c4f9ec1">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#a9406a1f403d4506f869094cc9ad64db7">bookmark_button</a>:</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">bookmark_icon</a>.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        </div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d7/d0a/a04230.html#a0aa72cbdba87c1c33f0440b53f9b939e">   91</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d0a/a04230.html#a0aa72cbdba87c1c33f0440b53f9b939e">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">case</span> <a class="code hl_variable" href="../../d7/d0a/a04230.html#a9406a1f403d4506f869094cc9ad64db7">bookmark_button</a>:</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>            <a class="code hl_variable" href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">bookmark_icon</a>.SetColor(<a class="code hl_variable" href="../../d7/d0a/a04230.html#afc7883bc01fd09c6ded11c7cf3b79fbe">m_IconColor</a>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>};</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno"><a class="line" href="../../d9/d10/a04234.html">  104</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d10/a04234.html">ExpansionBookMenuTabSideBookmarkLeftController</a>: <a class="code hl_class" href="../../d7/d20/a04410.html">ExpansionViewController</a></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>{</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d9/d10/a04234.html#ae030b5f82c035b762099446f4157f8e0">  106</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/d10/a04234.html#ae030b5f82c035b762099446f4157f8e0">BookmarkIcon</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d9/d10/a04234.html#acadd861263af09d77683c88709b4e9d5">  107</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d9/d10/a04234.html#acadd861263af09d77683c88709b4e9d5">Background</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>};</div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa04230_html"><div class="ttname"><a href="../../d7/d0a/a04230.html">ExpansionBookMenuTabSideBookmarkLeft</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00013">expansionbookmenutabsidebookmarkleft.c:14</a></div></div>
<div class="ttc" id="aa04230_html_a0aa72cbdba87c1c33f0440b53f9b939e"><div class="ttname"><a href="../../d7/d0a/a04230.html#a0aa72cbdba87c1c33f0440b53f9b939e">ExpansionBookMenuTabSideBookmarkLeft::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00091">expansionbookmenutabsidebookmarkleft.c:91</a></div></div>
<div class="ttc" id="aa04230_html_a26ee47df029772a6149890cd2bda716f"><div class="ttname"><a href="../../d7/d0a/a04230.html#a26ee47df029772a6149890cd2bda716f">ExpansionBookMenuTabSideBookmarkLeft::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00039">expansionbookmenutabsidebookmarkleft.c:39</a></div></div>
<div class="ttc" id="aa04230_html_a2d3361bb3b1c7d001dde62ec11fe5139"><div class="ttname"><a href="../../d7/d0a/a04230.html#a2d3361bb3b1c7d001dde62ec11fe5139">ExpansionBookMenuTabSideBookmarkLeft::SetBackground</a></div><div class="ttdeci">void SetBackground()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00057">expansionbookmenutabsidebookmarkleft.c:57</a></div></div>
<div class="ttc" id="aa04230_html_a37be0088e49fe10787c6649d4d88c36a"><div class="ttname"><a href="../../d7/d0a/a04230.html#a37be0088e49fe10787c6649d4d88c36a">ExpansionBookMenuTabSideBookmarkLeft::m_BookmarkController</a></div><div class="ttdeci">ref ExpansionBookMenuTabSideBookmarkLeftController m_BookmarkController</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00023">expansionbookmenutabsidebookmarkleft.c:23</a></div></div>
<div class="ttc" id="aa04230_html_a533acf402e90097f52e503ce828acf44"><div class="ttname"><a href="../../d7/d0a/a04230.html#a533acf402e90097f52e503ce828acf44">ExpansionBookMenuTabSideBookmarkLeft::GetRandomElementBackground</a></div><div class="ttdeci">string GetRandomElementBackground()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00063">expansionbookmenutabsidebookmarkleft.c:63</a></div></div>
<div class="ttc" id="aa04230_html_a5b7bf706264d9f462dab7882715fed79"><div class="ttname"><a href="../../d7/d0a/a04230.html#a5b7bf706264d9f462dab7882715fed79">ExpansionBookMenuTabSideBookmarkLeft::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00044">expansionbookmenutabsidebookmarkleft.c:44</a></div></div>
<div class="ttc" id="aa04230_html_a60441010ee2492e5ce7c04938b4f6e4f"><div class="ttname"><a href="../../d7/d0a/a04230.html#a60441010ee2492e5ce7c04938b4f6e4f">ExpansionBookMenuTabSideBookmarkLeft::bookmark_icon</a></div><div class="ttdeci">ImageWidget bookmark_icon</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00016">expansionbookmenutabsidebookmarkleft.c:16</a></div></div>
<div class="ttc" id="aa04230_html_a8436caca52dcfe8458b9579b52204fff"><div class="ttname"><a href="../../d7/d0a/a04230.html#a8436caca52dcfe8458b9579b52204fff">ExpansionBookMenuTabSideBookmarkLeft::m_URL</a></div><div class="ttdeci">string m_URL</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00019">expansionbookmenutabsidebookmarkleft.c:19</a></div></div>
<div class="ttc" id="aa04230_html_a9387837e012759f453578f721875a7c0"><div class="ttname"><a href="../../d7/d0a/a04230.html#a9387837e012759f453578f721875a7c0">ExpansionBookMenuTabSideBookmarkLeft::m_IconName</a></div><div class="ttdeci">string m_IconName</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00020">expansionbookmenutabsidebookmarkleft.c:20</a></div></div>
<div class="ttc" id="aa04230_html_a9406a1f403d4506f869094cc9ad64db7"><div class="ttname"><a href="../../d7/d0a/a04230.html#a9406a1f403d4506f869094cc9ad64db7">ExpansionBookMenuTabSideBookmarkLeft::bookmark_button</a></div><div class="ttdeci">ButtonWidget bookmark_button</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00015">expansionbookmenutabsidebookmarkleft.c:15</a></div></div>
<div class="ttc" id="aa04230_html_aa4fef14515d869a23dce39796be98d50"><div class="ttname"><a href="../../d7/d0a/a04230.html#aa4fef14515d869a23dce39796be98d50">ExpansionBookMenuTabSideBookmarkLeft::OnBookmarkButtonClick</a></div><div class="ttdeci">void OnBookmarkButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00074">expansionbookmenutabsidebookmarkleft.c:74</a></div></div>
<div class="ttc" id="aa04230_html_aaf213c8ce3468954dd453d72192adbbd"><div class="ttname"><a href="../../d7/d0a/a04230.html#aaf213c8ce3468954dd453d72192adbbd">ExpansionBookMenuTabSideBookmarkLeft::ExpansionBookMenuTabSideBookmarkLeft</a></div><div class="ttdeci">void ExpansionBookMenuTabSideBookmarkLeft(string name, string url, string iconName, int iconColor)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00025">expansionbookmenutabsidebookmarkleft.c:25</a></div></div>
<div class="ttc" id="aa04230_html_ada50a494e7e1b8bb89bcd68514b21fe0"><div class="ttname"><a href="../../d7/d0a/a04230.html#ada50a494e7e1b8bb89bcd68514b21fe0">ExpansionBookMenuTabSideBookmarkLeft::SetIcon</a></div><div class="ttdeci">void SetIcon(string icon_name, int color)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00049">expansionbookmenutabsidebookmarkleft.c:49</a></div></div>
<div class="ttc" id="aa04230_html_ae0e17a808d36d8e279fd496d0c4f9ec1"><div class="ttname"><a href="../../d7/d0a/a04230.html#ae0e17a808d36d8e279fd496d0c4f9ec1">ExpansionBookMenuTabSideBookmarkLeft::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00079">expansionbookmenutabsidebookmarkleft.c:79</a></div></div>
<div class="ttc" id="aa04230_html_aee2bca539749c1570f20839c85a977e5"><div class="ttname"><a href="../../d7/d0a/a04230.html#aee2bca539749c1570f20839c85a977e5">ExpansionBookMenuTabSideBookmarkLeft::m_Name</a></div><div class="ttdeci">string m_Name</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00018">expansionbookmenutabsidebookmarkleft.c:18</a></div></div>
<div class="ttc" id="aa04230_html_afc7883bc01fd09c6ded11c7cf3b79fbe"><div class="ttname"><a href="../../d7/d0a/a04230.html#afc7883bc01fd09c6ded11c7cf3b79fbe">ExpansionBookMenuTabSideBookmarkLeft::m_IconColor</a></div><div class="ttdeci">int m_IconColor</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00021">expansionbookmenutabsidebookmarkleft.c:21</a></div></div>
<div class="ttc" id="aa04234_html"><div class="ttname"><a href="../../d9/d10/a04234.html">ExpansionBookMenuTabSideBookmarkLeftController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00104">expansionbookmenutabsidebookmarkleft.c:105</a></div></div>
<div class="ttc" id="aa04234_html_acadd861263af09d77683c88709b4e9d5"><div class="ttname"><a href="../../d9/d10/a04234.html#acadd861263af09d77683c88709b4e9d5">ExpansionBookMenuTabSideBookmarkLeftController::Background</a></div><div class="ttdeci">string Background</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00107">expansionbookmenutabsidebookmarkleft.c:107</a></div></div>
<div class="ttc" id="aa04234_html_ae030b5f82c035b762099446f4157f8e0"><div class="ttname"><a href="../../d9/d10/a04234.html#ae030b5f82c035b762099446f4157f8e0">ExpansionBookMenuTabSideBookmarkLeftController::BookmarkIcon</a></div><div class="ttdeci">string BookmarkIcon</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dbb/a00698_source.html#l00106">expansionbookmenutabsidebookmarkleft.c:106</a></div></div>
<div class="ttc" id="aa04354_html"><div class="ttname"><a href="../../d6/db7/a04354.html">ExpansionIcons</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db7/a00812_source.html#l00013">expansionicons.c:14</a></div></div>
<div class="ttc" id="aa04354_html_ab674a6daaeff7fbe0a88cd5f56f2ecf0"><div class="ttname"><a href="../../d6/db7/a04354.html#ab674a6daaeff7fbe0a88cd5f56f2ecf0">ExpansionIcons::GetPath</a></div><div class="ttdeci">static string GetPath(string name)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/db7/a00812_source.html#l00292">expansionicons.c:292</a></div></div>
<div class="ttc" id="aa04410_html"><div class="ttname"><a href="../../d7/d20/a04410.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5d/a09121_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05206_html"><div class="ttname"><a href="../../d4/d56/a05206.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00013">expansionscriptview.c:14</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../df/dbb/a00698.html">expansionbookmenutabsidebookmarkleft.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
